Update bank card

This request updates an existing bank card.

   Click here to learn more about this request

A bank card is a Payment Profile represented by a Secure Payments token. The bank card's token must be provided to edit the profile.

⚠️ This request uses different headers.

Use an OBO token when sending this request instead of the standard Secure Payments headers.

Need an OBO token? POST Generate an OBO Token.

{
    "token": "QVFJREFIaldvos...",
    "card": {
        "address": "2100 S 1300 E",
        "cardholder_name": "Terry Bellevue",
        "expiration_date": "012027",
        "city": "SALT LAKE CITY",
        "state": "UT",
        "zipcode": "84105",
        "card_number": "4111111111111111",
        "country": "USA"
    }
}

Results

Returns true after a successful bank card update. An error results in a context object and a message indicating the type of error (e.g. invalid bank card token).

Body Params
string
required

The Secure Payments token that represents the bank card.

card
object
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json